<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorWhite"
    android:orientation="vertical">

    <com.unis.sxzcl.widget.BaseTitleBar
        android:id="@+id/bar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barTitle="个人信息" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/layout_head"
                style="@style/my_layout"
                android:foreground="?android:selectableItemBackground"
                android:paddingTop="8dp"
                android:paddingBottom="8dp">

                <TextView
                    style="@style/my_left"
                    android:layout_gravity="center_vertical"
                    android:text="头像" />

                <androidx.cardview.widget.CardView
                    android:layout_width="56dp"
                    android:layout_height="56dp"
                    app:cardCornerRadius="28dp"
                    app:cardElevation="0dp">

                    <ImageView
                        android:id="@+id/iv_head"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:scaleType="centerCrop"
                        android:src="@drawable/no_banner" />
                </androidx.cardview.widget.CardView>

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/ic_next_normal" />

            </LinearLayout>

            <View style="@style/line_16" />

            <LinearLayout style="@style/my_layout">

                <TextView
                    style="@style/my_left"
                    android:text="用户名" />

                <TextView
                    android:id="@+id/tv_login_name"
                    style="@style/my_right"
                    android:text="name" />

            </LinearLayout>

            <View style="@style/line_16" />

            <LinearLayout style="@style/my_layout">

                <TextView
                    style="@style/my_left"
                    android:text="姓名" />

                <TextView
                    android:id="@+id/tv_name"
                    style="@style/my_right"
                    android:text="userName" />

            </LinearLayout>

            <View style="@style/line_16" />

            <LinearLayout style="@style/my_layout">

                <TextView
                    style="@style/my_left"
                    android:text="公司" />

                <TextView
                    android:id="@+id/tv_company"
                    style="@style/my_right"
                    android:text="company" />

            </LinearLayout>

            <View style="@style/line_16" />

            <LinearLayout style="@style/my_layout">

                <TextView
                    style="@style/my_left"
                    android:text="部门" />

                <TextView
                    android:id="@+id/tv_department"
                    style="@style/my_right"
                    android:text="department" />

            </LinearLayout>

            <View style="@style/line_16" />

            <LinearLayout style="@style/my_layout">

                <TextView
                    style="@style/my_left"
                    android:text="职位" />

                <TextView
                    android:id="@+id/tv_post"
                    style="@style/my_right"
                    android:text="post" />

            </LinearLayout>

            <LinearLayout
                style="@style/my_layout"
                android:background="@color/colorBackground"
                android:paddingTop="8dp"
                android:paddingBottom="8dp">

                <TextView
                    style="@style/my_left"
                    android:text="消息通知开关" />

            </LinearLayout>

            <LinearLayout style="@style/my_layout">

                <TextView
                    style="@style/my_left"
                    android:text="声音" />

                <Switch
                    android:id="@+id/switch_voice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:checked="true" />

            </LinearLayout>

            <View style="@style/line_16" />

            <LinearLayout style="@style/my_layout">

                <TextView
                    style="@style/my_left"
                    android:text="震动" />

                <Switch
                    android:id="@+id/switch_shake"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:checked="true" />

            </LinearLayout>

            <View style="@style/line_16" />

            <LinearLayout
                android:id="@+id/layout_version"
                style="@style/my_layout"
                android:foreground="?android:selectableItemBackground">

                <TextView
                    style="@style/my_left"
                    android:text="版本信息" />

                <TextView
                    android:id="@+id/tv_version"
                    style="@style/my_right"
                    android:text="v1.0" />

                <View
                    android:id="@+id/version_flag"
                    android:layout_width="8dp"
                    android:layout_height="8dp"
                    android:layout_gravity="top"
                    android:layout_marginLeft="4dp"
                    android:background="@drawable/red_circle_bg" />

            </LinearLayout>


            <View style="@style/line_16" />

            <LinearLayout
                android:id="@+id/layout_text_size"
                style="@style/my_layout"
                android:foreground="?android:selectableItemBackground">

                <TextView
                    style="@style/my_left"
                    android:layout_gravity="center_vertical"
                    android:text="字体大小" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/ic_next_normal" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="@color/colorBackground" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorBackground">

                <Button
                    android:id="@+id/btn_login_out"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="16dp"
                    android:background="@drawable/accent_circle_bg"
                    android:text="退出登录"
                    android:textColor="@color/colorWhite"
                    android:textSize="?attr/textSizeXXX" />
            </LinearLayout>

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>


</LinearLayout>